export type ValueType = 'option' | 'input' | 'component' | 'componentProp' | 'dataSource' | 'dataConvert' | 'urlParam' | 'initParam';
export type KeyType = 'custom';
export declare const valueCollectorMap: Record<ValueType, {
    label: string;
    icon: string;
    value: ValueType;
}>;
export type NormalValueType = 'string' | 'number' | 'boolean' | 'undefined' | 'null' | 'object' | 'array[string]' | 'array[number]';
export declare const NormalValueTypeOptions: {
    value: string;
    label: string;
}[];
type DataSourceValue = {
    valueType: ValueType;
    type: NormalValueType;
    value: string;
};
export interface EmitParamCollectorValue {
    value: DataSourceValue;
    key: string;
}
interface DataSourceType extends EmitParamCollectorValue {
    id?: string;
    children?: DataSourceType[];
}
interface ParamCollectorIProps {
    onChange: (arg0: any) => void;
    value: DataSourceType[];
}
export declare const ParamCollector: (_props: ParamCollectorIProps) => import("react/jsx-runtime").JSX.Element;
export {};
