import { default as React } from 'react';
import { EmitSelectVariableValue } from '../selectVariable';
export type ValueType = 'option' | 'input' | 'pageState' | 'componentProp' | 'dataSource' | 'dataConvert' | 'urlParam' | 'initParam' | string;
export type KeyType = 'custom';
export declare const valueCollectorMap: Record<ValueType, {
    label: string;
    icon: string;
    value: ValueType;
}>;
export type NormalValueType = 'string' | 'number' | 'boolean' | 'undefined' | 'null' | 'object' | 'array[string]' | 'array[number]';
export type OperateType = '=' | '>' | '<' | '>=' | '<=' | 'in' | 'reg';
export declare const NormalValueTypeOptions: {
    value: string;
    label: string;
}[];
type DataSourceValue = {
    valueType: ValueType;
    type: NormalValueType;
    value: string;
};
export interface EmitParamValueTable {
    source: DataSourceValue;
    target: DataSourceValue;
    operate: OperateType;
}
interface DataSourceType extends EmitParamValueTable {
    id?: string;
    children?: DataSourceType[];
}
interface ParamCollectorIProps {
    onChange: (arg0: any) => void;
    value: DataSourceType[];
}
interface EmitSetterValue {
    valueType: ValueType;
    value: any;
    type: NormalValueType;
}
export declare const SetterValueComponent: React.FC<{
    getPopupContainer?: any;
    value?: EmitSetterValue;
    onChange?: (value: EmitSetterValue) => void;
}>;
declare const SetterValueComponentV2: React.FC<{
    getPopupContainer?: any;
    disableList?: ValueType[];
    value?: EmitSelectVariableValue;
    onChange?: (value: EmitSelectVariableValue) => void;
}>;
export declare const UpdateStateValue: (_props: ParamCollectorIProps) => import("react/jsx-runtime").JSX.Element;
export { SetterValueComponentV2 };
