import { FC } from 'react';
import { EmitParamCollectorValue } from '../../components/param-collector';
export interface DataSourcePanelIProps {
    onChange: (value: EmitValue) => void;
    value: EmitValue;
}
type FetchModeType = 'direct' | 'redirect' | 'custom';
type FetchMethodType = 'GET' | 'POST';
export declare const requestMethodMap: {
    value: FetchMethodType;
    label: FetchMethodType;
}[];
export interface EmitValueConfig {
    requestName: string;
    requestMethod: FetchMethodType;
    requestUrl: string;
    paramsList: EmitParamCollectorValue[];
    bodyList: EmitParamCollectorValue[];
    dataFetchMode: FetchModeType;
}
export interface EmitValue {
    value: EmitValueConfig;
    onFailureConfig: {
        continueOnFailure: boolean;
    };
    name: string;
}
export declare const DataSourcePanel: FC<DataSourcePanelIProps>;
declare const _default: {
    component: FC<DataSourcePanelIProps>;
    type: string;
};
export default _default;
