import { LogicFlow } from '@logicflow/core';
import { ReactNodeConfig } from '@logicflow/react-node-registry/src/registry.ts';
import { default as Context } from '../context';
import { default as Graph } from './Graph.ts';
import { default as React } from 'react';
import { InsertCommonNodeData } from '../components';
import { Configuration, ConfigurationItem } from './Configuration.ts';
export declare const LFReactPortalProvider: () => React.FunctionComponentElement<{
    children?: React.ReactNode;
}>;
export declare const StartNodeConfig: any[];
export declare const ConfigurationList: ConfigurationItem[];
declare class FlowCore {
    NodeList: ReactNodeConfig[] | any[];
    container: HTMLDivElement;
    lf: LogicFlow;
    graph: Graph;
    context: Context;
    isShowMenu: boolean;
    menuPosition: Record<any, any>;
    currentModel: any;
    initNode: any;
    loading: any;
    configuration: Configuration;
    constructor();
    registerPatternItems(): void;
    /**
     * 初始化
     * @param container
     */
    init(container: HTMLDivElement): void;
    /**
     * 调用插入节点
     * @param data
     */
    insertCommonNode(data: InsertCommonNodeData): void;
    initPopover(): void;
    /**
     * 注册组件
     * @private
     */
    private registerNode;
    private checkRelatedNode;
    private setGraphDataToContext;
    private initEvents;
    private handlerNodeMouseenter;
    private handlerNodeMouseleave;
    dispose(): void;
}
export default FlowCore;
