import { LogicFlow } from '@logicflow/core';
export default class Popover {
    config: any;
    private popoverTypeMap;
    private floatingMap;
    private waitingCollection;
    private renderedCollection;
    private removeFloatingHandler;
    private lf;
    private lfContainer;
    private container;
    constructor({ lf }: {
        lf: LogicFlow;
    });
    /**
     * 注册弹框组件
     * @param {string} type type类型，用于show的时候选择触发类型
     * @param { popoverItem } popoverItem 注册组件类型
     * popoverItem.element 渲染的DOM节点
     * popoverItem.render 渲染的方法，可以不传
     */
    registerPopover(type: any, popoverItem: any): void;
    render(lf: any, container: any): void;
    createFloating(x: string, y: string, popoverItem: {
        placement: any;
        trigger: string;
        __id: string;
    }): HTMLDivElement;
    removeFloating(): void;
    renderPopover(popoverItem: any): void;
    destroyPopover(__id: string): void;
    /**
     * config = {
     *   x: number,
     *   y: number,
     *   width: number,
     *   height: number,
     *   key: '', // 传递key后，可以识别相同组件的重复触发，在click模式下，再次点击等于隐藏。
     *   placement: 'right',
     *   type: 'tip1', // 不同类型的popover
     *   delay: 100, // 延迟显示时间
     *   trigger: 'click'
     * }
     */
    show(config: any): any;
    getShowPosition(config: any): any[];
    /**
     * popover消失时间50ms的延迟
     */
    hide(__id: string): void;
    static pluginName: string;
}
